services:
    oro_website_search.tests.engine.index_data:
        alias: oro_website_search.engine.index_data
        public: true
    oro_website_search.tests.provider.search_mapping:
        alias: oro_website_search.provider.search_mapping
        public: true

    oro_website_search.tests.api.skipped_entity_provider:
        class: Oro\Bundle\ApiBundle\Tests\Functional\Environment\SkippedEntityProvider
        decorates: oro_api.tests.skipped_entity_provider
        arguments:
            - '@.inner'
        calls:
            - [addSkippedEntity, ['Oro\Bundle\WebsiteSearchBundle\SearchResult\Entity\SearchResultHistory']]
            - [addSkippedEntity, ['Oro\Bundle\WebsiteSearchBundle\SearchResult\Entity\SearchTermReport']]
